<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_group.php';
require_once '../../util/post_util.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$test_id = "";
$class_id = "";
$now_test_tbl = "";
$err_msg = "";
$now_test_list = "";
$up_flag = "";
if ($_GET <> null) {
	if(isset($_GET['class_id'])) {$class_id = $_GET['class_id'];}
	if(isset($_GET['test_id'])) {$test_id = $_GET['test_id'];}
	if (!is_numeric($class_id) || !is_numeric($test_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");				
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
}
if ($_POST <> null) {
	if (isset($_POST['up_flag'])) {
		$up_flag = $_POST['up_flag'];
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//ꥪ֥
	$class_test_object = new CSetQuestionInClass();
	if (($test_id == null || $test_id == "") && $up_flag == 1) {
	//ƥID򽦤äƤ餺Υեफǡ
		$test_id = $_POST['test_id'];
		$class_id = $_POST['class_id'];
		$test_nam = $_POST['test_nam'];
		//if ($_POST['up_flag'] == 1) {
			$vali_obj = new valid_up_order ("ORDER_SET");
			$err_exe = $vali_obj->getErrMsg($_POST);
			if ($err_exe == "") {
				if (!$data_object->transactionBegin()) {
					$err_msg .= $data_object->err_msg;
				} else {
					if (!$class_test_object->setQuestionOrder($data_object->conn, $_POST)) {
						$err_msg = _EXAM_TEA_TEST_QUEST_FORM_UPDATE_ERR;
						$err_msg .= $class_test_object->err_msg;
						if (!$data_object->transactionRollBack()) {
							$err_msg .= $data_object->err_msg;
						}
					} else {
						$data_object->transactionCommit();
						$data_object->closeDB();
//						redirect_header(URL_SET."teacher/test_reg/ins_quest.php?test_id=".$test_id."&class_id=".$class_id,0,"ǡ򹹿ޤ");
						header("Content-Type: text/html; charset=EUC-JP");
						header(URL_SET."teacher/test_reg/ins_quest.php?test_id=".$test_id."&class_id=".$class_id);
						exit;
					}
				}
			} else {
				$err_msg = $err_exe;
			}
		//}
	}
	//饹󸡺
/*	$class_data_object = new CClassInfoTableAccess();
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = "饹̾˼";
	} else {
		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$teacher_id = $cl_dat_arr['teacher_id'];
	}
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $cl_dat_arr['teacher_id'] <> $admin_id) {
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");
		exit;
	}
	
	//ǡΥ֥Ȥ
	$teacher_data_object = new CTeacherTableAccess();
	$tea_dat_arr = $teacher_data = $teacher_data_object->getDetailTeacherData($data_object->conn, $cl_dat_arr['teacher_id']);

	if (!$tea_dat_arr) {
		$teacher_nam = "̾˼";
	} else {
		$teacher_nam = htmlspecialchars(mb_convert_encoding($tea_dat_arr['teacher_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
	}
*/
//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
//Xoopsѡ饹δþ
	$class_info_object = new CTeacherClassAccess();
	$class_inf=$class_info_object->getClassMember($data_object->conn, $class_id);
	if ($class_inf == false) {
		$err_msg .= $data_object->err_msg;
		$class_nam = _COMMON_DB_NODATA_FOUND;
		$teacher_nam = _COMMON_DB_NODATA_FOUND;
	} else {
	//Ϥ
	//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
			$data_object->closeDB();
			redirect_header(URL_SET."teacher/class_reg/class_list.php");
			exit;
		}
		$class_nam = htmlspecialchars(mb_convert_encoding($class_inf[0]['class_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		$teacher_nam = htmlspecialchars(mb_convert_encoding($class_inf[0]['teacher_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);	
		$teacher_id = intval($class_inf[0]['teacher_id']);
	}

//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	$test_info_object = new CTestInfoTableAccess();
	$tes_data = $test_info_object->getOneTestInfo($data_object->conn, $test_id);
	if ($tes_data == false) {
		$test_nam = _COMMON_DB_NODATA_FOUND;
	} else {
//		$test_nam = htmlspecialchars(mb_convert_encoding($tes_data['test_nam'],'EUC-JP','UTF-8'),ENT_QUOTES);	
		$test_nam = htmlspecialchars($tes_data['test_nam'],ENT_QUOTES);	
		$rep_test_nam = urlencode($test_nam);
	}
	
	$pre_txt_id = "";
	$count = 0;
	$cnt_for_up = 0;
	
	//Ѥߤ
	$tqt_list_arr = $class_test_object->getTextAndQuestions($data_object->conn,$test_id);

	if ($tqt_list_arr == false) {
		$now_test_list="<tr><td colspan=2>"._EXAM_TEA_TEST_QUEST_FORM_NO_QUEST."</td></tr>";
	} else {
	foreach ($tqt_list_arr as $all_list_tmp) {
		if (($all_list_tmp['text_id'] <> $pre_txt_id) ||($pre_txt_id == "")) {
			$now_test_list .= "<tr><td>";
//			$now_test_list .= htmlspecialchars(mb_convert_encoding($all_list_tmp['text_title'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
			$now_test_list .= htmlspecialchars($all_list_tmp['text_title'],ENT_QUOTES);
			$now_test_list .= "</td><td>";
			$pre_txt_id = $all_list_tmp['text_id'];
		}
		$now_test_list .= "<input type='text' name='order".$count;
		$now_test_list .= "' value='".chPostToForm($all_list_tmp['question_order'])."' size = 1 maxlength=2> ";
//		$now_test_list .= htmlspecialchars(mb_convert_encoding($all_list_tmp['qt_content'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$now_test_list .= htmlspecialchars($all_list_tmp['qt_content'],ENT_QUOTES);
		$now_test_list .= " "._EXAM_TEA_TEST_QUEST_FORM_RATIO_TXT;
		$now_test_list .= ":<input type='text' name='score".$count;
		$now_test_list .= "' value='".chPostToForm($all_list_tmp['score'])."' size = 1 maxlength=2> ";

		$now_test_list .= "<input type='hidden' name='tested_id".$count."' value='".intval($all_list_tmp['tested_id'])."'><br>";
		$count++;
	}
	$now_test_list .= "<input type='hidden' name='data_cnt' value='".$count."'>";
	$now_test_list .= "<input type='hidden' name='test_nam' value='".$test_nam."'>";

	}
	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/ad_test_reg/mod_ques_order.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEST_NAM_REP:', mb_convert_encoding($test_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':NOW_TEST_TBL:', mb_convert_encoding($now_test_list,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':TEST_ID_REP:', $test_id, $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_test_reg/mod_ques_order.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':TEST_NAM_REP:', $test_nam, $show_data);
$show_data = str_replace(':NOW_TEST_TBL:', $now_test_list, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':TEST_ID_REP:', $test_id, $show_data);

echo $show_data;
?>